Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ILCodecs Class Reference

`#include <OgreILCodecs.h>`

List of all members.

## Static Public Methods

void | registerCodecs (void)
void | deleteCodecs (void)

## Static Protected Attributes

Codec * | mPNGCodec
Codec * | mJPGCodec
Codec * | mJPEGCodec
Codec * | mTGACodec
Codec * | mDDSCodec
Codec * | mBMPCodec

## Member Function Documentation

void Ogre::ILCodecs::deleteCodecs | ( | void |  | ) | `[static]`

| Definition at line 60 of file OgreILCodecs.cpp. References mBMPCodec, mDDSCodec, mJPEGCodec, mJPGCodec, mPNGCodec, and mTGACodec.

void Ogre::ILCodecs::registerCodecs | ( | void |  | ) | `[static]`

| Definition at line 45 of file OgreILCodecs.cpp. References mBMPCodec, mDDSCodec, mJPEGCodec, mJPGCodec, mPNGCodec, and mTGACodec.

## Member Data Documentation

Codec * Ogre::ILCodecs::mBMPCodec`[static, protected]`

| Definition at line 43 of file OgreILCodecs.cpp. Referenced by deleteCodecs(), and registerCodecs().

Codec * Ogre::ILCodecs::mDDSCodec`[static, protected]`

| Definition at line 42 of file OgreILCodecs.cpp. Referenced by deleteCodecs(), and registerCodecs().

Codec * Ogre::ILCodecs::mJPEGCodec`[static, protected]`

| Definition at line 40 of file OgreILCodecs.cpp. Referenced by deleteCodecs(), and registerCodecs().

Codec * Ogre::ILCodecs::mJPGCodec`[static, protected]`

| Definition at line 39 of file OgreILCodecs.cpp. Referenced by deleteCodecs(), and registerCodecs().

Codec * Ogre::ILCodecs::mPNGCodec`[static, protected]`

| Definition at line 38 of file OgreILCodecs.cpp. Referenced by deleteCodecs(), and registerCodecs().

Codec * Ogre::ILCodecs::mTGACodec`[static, protected]`

| Definition at line 41 of file OgreILCodecs.cpp. Referenced by deleteCodecs(), and registerCodecs().

The documentation for this class was generated from the following files:

- OgreILCodecs.h
- OgreILCodecs.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:06 2004